/**** C header file for QAUWVED.DLL v6.85(111) ****/

#ifdef __cplusplus
extern "C" {
#endif

#define qaerr_FATAL -1000
#define qaerr_NOMEMORY -1001
#define qaerr_INITINSTANCE -1002
#define qaerr_BADINTERFACE -1003
#define qaerr_INITOOLARGE -1005
#define qaerr_ININOEXTEND -1006
#define qaerr_FILETOOLARGE -1008
#define qaerr_FILECHGDETECT -1009
#define qaerr_FILEOPEN -1010
#define qaerr_FILEEXIST -1011
#define qaerr_FILEREAD -1012
#define qaerr_FILEWRITE -1013
#define qaerr_FILEDELETE -1014
#define qaerr_FILEACCESS -1016
#define qaerr_FILEVERSION -1017
#define qaerr_FILEHANDLE -1018
#define qaerr_FILECREATE -1019
#define qaerr_FILERENAME -1020
#define qaerr_FILEEXPIRED -1021
#define qaerr_FILENOTDEMO -1022
#define qaerr_FILETIMEGET -1023
#define qaerr_FILETIMESET -1024
#define qaerr_READFAIL -1025
#define qaerr_WRITEFAIL -1026
#define qaerr_BADDRIVE -1027
#define qaerr_BADDIR -1028
#define qaerr_DIRCREATE -1029
#define qaerr_BADOPTION -1030
#define qaerr_BADINIFILE -1031
#define qaerr_BADLOGFILE -1032
#define qaerr_BADMEMORY -1033
#define qaerr_BADHOTKEY -1034
#define qaerr_HOTKEYUSED -1035
#define qaerr_BADRESOURCE -1036
#define qaerr_BADDATADIR -1037
#define qaerr_BADTEMPDIR -1038
#define qaerr_NOTDEFINED -1040
#define qaerr_DUPLICATE -1041
#define qaerr_BADACTION -1042
#define qaerr_BADDATE -1045
#define qaerr_BADTIMEZONE -1046
#define qaerr_CCFAILURE -1050
#define qaerr_CCBADCODE -1051
#define qaerr_CCACCESS -1052
#define qaerr_CCNODONGLE -1053
#define qaerr_CCNOUNITS -1054
#define qaerr_CCNOMETER -1055
#define qaerr_CCNOFEATURE -1056
#define qaerr_CCINVALID -1057
#define qaerr_CCNODCHKFAIL -1058
#define qaerr_CCINSTALL -1060
#define qaerr_CCEXPIRED -1061
#define qaerr_CCDATETIME -1062
#define qaerr_CCUSERLIMIT -1063
#define qaerr_CCACTIVATE -1064
#define qaerr_CCBADDRIVE -1065
#define qaerr_CCREGISTER -1066
#define qaerr_UNAUTHORISED -1070
#define qaerr_NOLOCALEFILE -1074
#define qaerr_BADLOCALEFILE -1075
#define qaerr_BADLOCALE -1076
#define qaerr_BADCODEPAGE -1077
#define qaerr_RESOURCEFAIL -1078
#define qaerr_NOTHREAD -1080
#define qaerr_NOTLSMEMORY -1081
#define qaerr_NOTASK -1090
#define qaerr_LOADLIBRARY -1091
#define qaerr_API_WORD -1094
#define qaerr_API_DWORD -1095
#define qaerr_CHARSET -1096
#define qaerr_BUFFERTRUNC -1097
#define MAXCONSTRAINWORD 65535
#define MAXCONSTRAINDWORD -1

__declspec(dllimport) int __stdcall QABeginInstance(void);
__declspec(dllimport) void __stdcall QAEndInstance(void);
__declspec(dllimport) void __stdcall QAInitialise(int);
__declspec(dllimport) void __stdcall QAErrorMessage(int, char *, int);
__declspec(dllimport) int __stdcall QAErrorLevel(int);
__declspec(dllimport) int __stdcall QAErrorHistory(int, int, char *, int);
__declspec(dllimport) void __stdcall QAVersionInfo(char *, int);
__declspec(dllimport) int __stdcall QADataInfo(char *, int, int *);
__declspec(dllimport) int __stdcall QASystemInfo(int, char *, int);
__declspec(dllimport) int __stdcall QAUpdateKey(char *, int);
__declspec(dllimport) int __stdcall QAUpdateCode(char *);
__declspec(dllimport) int __stdcall QALicenseInfo(int *, int *, int *);
__declspec(dllimport) int __stdcall QAAuthorise(char *, long);
__declspec(dllimport) int __stdcall QASetStrMode(int);

#define qaattribs_NONE 0
#define qaattribs_NOQUERYEDIT 1
#define qaattribs_RESTRICTQUERYEDIT 2
#define qaattribs_NOCONFIRMVIEW 4
#define qaattribs_NOLAYOUTCHANGE 8
#define qaattribs_NOHELP 16
#define qaattribs_NOCHANGEMODE 32
#define qaattribs_NOCHANGETYPEDOWN 64
#define qaattribs_NOCHANGECOUNTRY 128
#define qaattribs_SINGLELINESEARCH 256
#define qaattribs_TYPEDOWNSEARCH 512
#define qaattribs_STREETSEARCH 1024
#define qaattribs_ORGSEARCH 2048
#define qaattribs_POBOXSEARCH 4096
#define qaattribs_NOPROBITMAP 8192
#define qaattribs_MINDISPLAY 16384
#define qaattribs_NONAMES 32768
#define qaattribs_READONLY 65536
#define qaattribs_NOLICENSINGDLG 131072
#define qaattribs_KEYFINDERSEARCH 262144
#define qaattribs_APIMODE -2147483648
#define element_ADDRESS 0
#define element_NAME 1
#define element_DATAPLUS 2
#define element_ANCILLARY 3
#define qaresultint_ISOVERFLOW 1
#define qaresultint_ISTRUNCATED 2
#define qaresultint_ISDPVVALID 11
#define qaresultint_ISDPVINVALID 12
#define qaresultint_ISDPVLOCKED 13
#define qaresultint_ISEDITED 21
#define qaresultint_ISUNVERIFIED 22
#define qavalue_FALSE 0
#define qavalue_TRUE 1
#define qaerr_INVALIDCOUNTRYINDEX -3400
#define qaerr_INVALIDLAYOUTINDEX -3401
#define qaerr_UNKNOWNLAYOUTNAME -3402
#define qaerr_UNKNOWNCOUNTRYCODE -3403
#define qaerr_NOSEARCHENGINESAVAILABLE -3404
#define qaerr_CANTCHANGEDATABASE -3405
#define qaerr_UIAPIALREADYSTARTED -3406
#define qaerr_UIAPINOTSTARTED -3407
#define qaerr_UIBADSEARCHSTRING -3408
#define qaerr_UIBADCDFFORMAT -3409
#define qaerr_UINOCOUNTRIES -3410
#define qaerr_INVALIDLINEINDEX -3411
#define qaerr_NOSELECTEDLAYOUT -3412
#define qaerr_NOLIVESERVER -3413
#define qaerr_BADCONFIGFLAGS -3414
#define qaerr_CANTCHANGEENGINE -3415
#define qaerr_NOUFACTIVE -3416
#define qaerr_UFINVALIDSTATE -3417
#define qaerr_UILICENSINGERROR -3418
#define qaerr_UISTARTED -1901
#define qaerr_NOMATCH -9978
#define qaerr_CFGBADINIVAL -3002
#define DP_ITEM_SEP 18

__declspec(dllimport) int __stdcall QAProWV_UISetServerList(char *);
__declspec(dllimport) int __stdcall QAProWV_UIStartup(char *, char *, char *, char *, char *, long);
__declspec(dllimport) void __stdcall QAProWV_UIShutdown(int);
__declspec(dllimport) int __stdcall QAProWV_UIGetActiveLayout(char *, int);
__declspec(dllimport) int __stdcall QAProWV_UILayoutCount(int *);
__declspec(dllimport) int __stdcall QAProWV_UIGetLayout(int, char *, int);
__declspec(dllimport) int __stdcall QAProWV_UISetActiveLayout(char *);
__declspec(dllimport) int __stdcall QAProWV_UIGetActiveCountry(char *, int);
__declspec(dllimport) int __stdcall QAProWV_UICountryCount(int *);
__declspec(dllimport) int __stdcall QAProWV_UIGetCountry(int, char *, char *, int);
__declspec(dllimport) int __stdcall QAProWV_UISetActiveCountry(char *);
__declspec(dllimport) int __stdcall QAProWV_UIGetFlags(long *);
__declspec(dllimport) int __stdcall QAProWV_UISetFlags(long, long);
__declspec(dllimport) int __stdcall QAProWV_UISearch(char *);
__declspec(dllimport) int __stdcall QAProWV_UIResultCount(int *);
__declspec(dllimport) int __stdcall QAProWV_UIGetResult(int, char *, int);
__declspec(dllimport) int __stdcall QAProWV_UIGetResultDetail(int, long *, char *, int);
__declspec(dllimport) int __stdcall QAProWV_UISetTitle(char *);
__declspec(dllimport) int __stdcall QAProWV_UILayoutLineElements(int, char *, int, long *);

#ifdef __cplusplus
}
#endif

/**** End of File ****/
